Packages - Privacy Issue #2627

[networkmanager-hardened-configs][tor-hardened-preferences] Fake signatures?
2020-02-08 07:46 PM - Anonymous

Status: fixed % Done: 0%
Priority: bug

Assignee: freemor

Category:

Description

Pacman log (bandwidth removed):

$ LC_ALL=C sudo pacman -S networkmanager-hardened-configs tor-hardened-preferences
resolving dependencies...
looking for conflicting packages...

Packages (2) networkmanager-hardened-configs-0.1-1
tor-hardened-preferences-0.1-1

Total Download Size: 0.01 MiB
Total Installed Size: 0.00 MiB

Proceed with installation? [Y/n]
Retrieving packages...

networkmanager-h... 6.2 KiB HHIEEEERE/ s 00:00 [### 444444444444 4444] 1003
tor-hardened-pre... 4.6 KiB I/ s 00:00 [##### 444444444444 4444] 1003
(2/2) checking keys in keyring O i A O O
(2/2) checking package integrity [HHfHdhAFHadtfaddatd4#44] 100%

error: networkmanager—-hardened-configs: signature from "Luke R. <g4jc@openmailbox.org>" is unknown
trust
File /var/cache/pacman/pkg/networkmanager-hardened-configs-0.1-1-any.pkg.tar.xz is corrupted (i
nvalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] vy
error: tor-hardened-preferences: signature from "Luke R. <g4jc@openmailbox.org>" is unknown trust
File /var/cache/pacman/pkg/tor-hardened-preferences-0.l1-1-any.pkg.tar.xz is corrupted (invalid
or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

openmailbox.org appears to be down. Fake signatures?

Related issues:
Related to Packages - Bug #2405: [multiple-packages]: signature from "Luke R.... in progress

History

#1 - 2020-02-08 07:48 PM - Anonymous

| have tried

pacman-key —--refresh-keys

#2 - 2020-02-09 01:34 AM - freemor

- Status changed from unconfirmed to confirmed

Not Fake, just stale. Luke R. has not been around in forever.. If you look at the related issue you'll see that a lot of packages were effected.
Also searching in bug tracker first would have answered this for you when you read #2405.

#3 - 2020-02-09 01:39 AM - freemor
- Related to Bug #2405: [multiple-packages]: signature from "Luke R. <g4jc@openmailbox.org>"is unknown trust added
https://labs.parabola.nu/issues/2405

#4 - 2020-02-09 01:50 AM - freemor
Did a quick and dirty rebuild to move them to my key.

Do not have time or energy for testing right now. But at least people can install them.

#5 - 2020-02-09 01:51 AM - freemor

- Assignee set to freemor

#6 - 2020-02-09 01:51 AM - freemor

- Status changed from confirmed to fixed
